{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
    freight = {
      url = "github:gmemstr/freight/patch-1";
      inputs.nixpkgs.follows = "nixpkgs";
      inputs.flake-utils.follows = "flake-utils";
    };
  };

  outputs = {
    nixpkgs,
      flake-utils,
      freight,
      ...
  }:
    flake-utils.lib.eachDefaultSystem (
      system:
      let
        pkgs = import nixpkgs {
          inherit system;
        };
        inherit (pkgs) lib; in
        {
          packages = rec {
            web = freight.lib.${system}.mkWorker {
              pname = "web";
              version = "0.1.0";
              strictDeps = true;
              workspace = true;
              src = ./.;
            };
            queues = freight.lib.${system}.mkWorker {
              pname = "queues";
              version = "0.1.0";
              strictDeps = true;
              workspace = true;
              src = ./.;
            };
            default = web;
          };
          devShells.default = pkgs.mkShell {
            nativeBuildInputs = with pkgs; [
              cargo
              rustc
              rust-analyzer
              nodePackages_latest.wrangler
              openssl
              pkg-config
              cargo-bloat
              cargo-binutils
            ];
          };
        }
    );
}
