---
title: Moving Away From Google
date: 2017-11-23
---

#### I'm starting to move outside the comfort bubble

If you've kept up with me on Twitter, you'll know what
a huge fan of Google I am -- I have a Google Pixel XL (1st generation),
a Google Wifi mesh network, a Google Home, and rely on Google services
for a huge amount of work I do, including Google Drive/Docs, Gmail,
Maps, Keep, and up until yesterday, Play Music.

But I'm starting to get tired of Google's products for a very simple and
maybe even petty reason. *Their design is the least consistent thing
ever.* I get it, Google is a huge company with tons of teams working on
different things, but I find it hard to keep using their services when
the interface for products is just straight up terrible compared to
competition. Recently I switched away from using Google Play Music in
favour of Spotify, which I had previously been using, and like the
interface a lot more, as it's very consistent and not the garish orange
of GPM. Despite being material design, the interface feels clunky and
ugly compared to the refinement of Spotify, most likely in part due to
work on the iOS app. Plus, it has a pretty great desktop app (albeit an
Electron app, but I digress). All of the Drive apps (Docs, Sheets,
Slides, etc) have a very clean and well designed look, but switching to
the web version of Gmail is jarring, and the mobile app is simplistic at
best -- it get's the job done at the very least. Not to mention I've
found refreshing very slow compared to my own mail server I run for [Git
Galaxy](https://gitgalaxy.com), which
feels odd because logically Gmail should be faster, if not on par,
considering Google's massive architecture. Hangouts is a beautifully
designed experience, but it's become a very obvious second class citizen
of Google's arsenal, thanks in part to Duo and Allo (we'll get to second
class citizens in Google's world in a minute). It also does not support
Firefox at all, even the latest beta version 58 (which is my daily
driver), which requires me to keep Google Chrome installed -- clever
move.

Let's switch gears away from UI/UX experience and talk about apps that
Google seems to have forgotten or lost interest in. While I am aware
some of these apps may have an active development team, they don't seem
to be priority for Google as a whole, and this can lead to frustrations,
such as the example above -- Hangouts does not support Firefox, even
the beta 58 I currently run. I recognize Firefox Quantum just recently
launched, but they had betas and nightlies available leading up to the
release, so I don't believe there is any excuse for Hangout to not work
outside of Chrome (I have not tested Edge). Also on topic of messaging
apps from Google, they also offer Duo and Allo, two apps that
essentially split the functionality of Hangouts in two. While some of
the Android community was very vocal about this, and a large number of
Hangouts users worried they were going to have to move, these feelings
seem to have pettered out, although it does still seem possible for
Google to pull the plug and force everyone over to their new offerings.
The feeling of being second rate extends to Gmail as well, at least to a
certain extent. Google is in no rush no to shut down their email
service, as it's very valuable for keeping consumers locked in to their
ecosysem and also provides them with a metric ton of data that they can
sift through and utilize for advertising, [although recently they've
claimed they will no longer do this](http://www.wired.co.uk/article/google-reading-personal-emails-privacy). That said, we don't neccesarily know if Google is
still reading our emails and doing something else with the data. Which
leads nicely into the next topic.

Security and privacy is something Google values greately, but it seems
it's moreso to gain the trust of the consumer than to keep their own
noses out of your data. Let's face it, Google is an advertising company,
and little else. Everything they do is to expose people to more
advertisements and maximize engagement to attract more advertisers.
Their reach is incredible, especially considering AdSense and Analytics.
With these two platforms in their arsenal, they have an almost infinite
reach across the internet, living and collecting data on millions of
websites that implement these services. The recent "Adpocalypse" on
YouTube seems to be a case of runaway algorithms attempting to optimize
YouTube for advertisers, or at least that's what most theorize. And
frankly, it's not neccesarily a bad thing, but consumers need to
recognize that Google is watching, and doesn't neccesarily have the end
user in mind when it comes to accomplishing their goals.

So in summary -- Why am I slowly moving away from Google?

Their apps are inconsistant, which is to be expected in such a huge
company with so many teams working on different things. Projects that
aren't the forefront of Google's priorities suffer heavily, especially
in an age where "the web" is accelerating very quickly and design is
being refined constantly. Also, Google is an advertising company, at
their core. It's how they earn the majority of their revenue, and
despite ad blockers, it will continue to be. This isn't a problem on
it's own, and I actually used to embrace the feeling of contributing so
much data to Google, but the honeymoon period has worn off now, and I
feel like I should cut back -- after all, millions of other people are
contributing just as much data, so Google won't notice if they suddenly
loose one. I run Firefox Nightly on my phone instead of Chrome, and am
actively looking for alternatives to many of their other services,
notably Gmail and Google Docs.

> Google does a bit of everything okay, but sometimes it's better to pay
> a bit for a much more specific service that does one thing incredibly
> well.

The final nail in the coffin for Google Play Music, if you were
wondering, was the fact that YouTube Red is not available in Canada yet,
which infuriates me and requires the use of a VPN. This coupled with the
fact Google Play Music has a fairly limited catalogue compared to
Spotify makes it difficult to recommend. If you can get YouTube Red with
it, however, the price is worth it.
