---
title: On Keyboards
date: 2021-08-19
---

#### My current keyboard is a GMMK Pro

But before diving in that keyboard, let's get into my history with keyboards. My first "proper" mechanical keyboard was a Corsair K70 with Speed Silver switches - a now massive 100% keyboard that was quite pretty. While I liked the speed silver switches for typing, gaming was another question. I tended to rest my hands quite heavily on the keyboard, and would accidentally actuate keys from time to time. At some point around this time (2017) I bought a Razer BlackWidow TKL (ten-keyless, or without the numberpad), which introduced me to alternative keyboard form factors and the Razer Green switch, which are essentially Cherry MX Blues with a different coloured stem; that is, clicky, but not great. At some point, I must have sold them, as I quickly moved on to a Ducky One TKL with genuine Cherry MX Blue switches. In those days, I wasn't very invested in the keyboard scene, and thought of Cherry as being the "be all end all" for switches.

_The Corsair K70 keyboard. Very gamery._

![Corsair K70 Keyboard](https://cdn.gabrielsimmer.com/images/corsair-k70.png)

_The Razer BlackWidow keyboard, from a terrible panorama that is my only evidence of owning one_

![Razer BlackWidow TKL Keyboard](https://cdn.gabrielsimmer.com/images/razer-blackwidow.png)

This Ducky One lasted me about a year or so, during that time I bought some (very nice) SA style keycaps (which I ended up removing relatively quickly as I didn't like the profile). At some point, however, the draw of smaller keyboards was too much, and I found myself ordering an Anne Pro off AliExpress (or one of those sites) with Gateron Brown switches (tactile, ish). Being a 60% form factor, it was a major adjustment, but I got there and it was a great relief freeing up some more room on the tiny desk I had at the time. Commuting to an office every day was also somewhat simplified, although I ended up purchasing two of the Anne Pro's successor, the Anne Pro 2. It was roughly the same keyboard, but with slightly better materials and some refinements to the software control and bluetooth interface. I ordered one with Cherry MX Blue switches and another with Kalih Box Blacks, to experience a heavier linear switch. This was also my first real exposure to alternative switch makers, and I was a massive fan of the Box Blacks. I found the brown switches were a bit too linear, and the blues were blues -- clicky, but not in a pleasant way, especially during extended use.

_Ducky One TKL_

![Ducky One TKL Keyboard](https://cdn.gabrielsimmer.com/images/ducky-one.png)

_Ducky One TKL with SA style keycaps_

![Ducky One TKL with SA style keycaps](https://cdn.gabrielsimmer.com/images/ducky-one-sa-keycaps.png)

These Anne Pros lasted me several years, switching between them as I wanted and even bringing one traveling (since it was just that compact). And I still love them. But I knew it was time to upgrade. I found myself missing the navigation cluster, and wishing for a slightly more premium experience. So I started doing some research, and quickly feel down a rabbit hole.

_The Anne Pro collection - left to right, black with Cherry MX Blues, white with Kalih Box Blacks, Anne Pro with Gateron Browns_

![Anne Pro collection](https://cdn.gabrielsimmer.com/images/anne-pros.png)

Keyboards are dangerous. The ignorant are lucky -- there is so much information out there that it is possible to become overwhelmed very quickly. Everything from the material keycaps are made of, to the acoustic properties of case materials, to the specific plastics _each part_ of a switch is made from. I had little clue what I was doing, but eventually settled on a few things; I wanted a navigation cluster, I wanted something slightly more compact than a full size keyboard, and I wanted to get premium materials.

I ended up with the following:

* [GMMK Pro](https://www.pcgamingrace.com/products/glorious-gmmk-pro-75-barebone-black)
* [GMMK Pro FR4 Plate](https://www.mechmods.co.uk/products/gmmk-pro-fr4-plate-by-avx-works)
* [Durock v2 stabilizers](https://www.mechmods.co.uk/products/durock-screw-in-stabilisers-v2?variant=40494419476674) (hand lubed)
* [AKKO NEON ASA doubleshot PBT keycaps](https://epomaker.com/products/akko-neon-asa-keycaps-set?_pos=3&_sid=8e158a975&_ss=r)
* [Glorious Pandas](https://www.pcgamingrace.com/products/glorious-panda-mechanical-switches) (tactile, to be hand lubed soon)

_Give it a listen - fair warning, not everything is finely tuned or lubed!_

<iframe width="560" height="315" src="https://www.youtube-nocookie.com/embed/mDrq4B2k2KM" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

And so far? Writing this post on that keyboard? I'm pretty happy with it (for the... one evening I've used it so far)! The process of swapping out the plate and lubing the stabilizers was a bit tedious and frustrating being my first time, and I do need to do some fine tuning with the lubrication on the switches and stabilizers (you can clearly hear the rattle on my spacebar in the audio clip), but overall it's now a case of teaching myself a slightly more spacious layout, not needing to leap for the `fn` key every time I want to use my arrow keys or take a screenshot. Being a hotswap board (that is, rather than soldering switches to the PCB, they slot into sockets), I do plan to experiment with other switches in the future, to truly nail down my preference. There are also a number of community modifications documented that are intended to tweak the keyboard to your liking (when I say keyboard in the context of custom builds, I specifically mean the case and PCB), but I don't know if I'll end up trying any of them out. Unfortunately, it weighs an impressive 1768 grams, so traveling with it is out of the question, but I do still have my original Anne Pro handy that I plan to use as a testing grounds for modifications before selling it (be sure to follow me [on Twitter](https://twitter.com/gmem_) if that sounds interesting, or to follow my plans).

_The GMMK Pro in question_

![GMMK Pro top view](https://cdn.gabrielsimmer.com/images/gmmk-pro-top.png)

![GMMK Pro side view](https://cdn.gabrielsimmer.com/images/gmmk-pro-side.png)

This is by no means my "end game" keyboard. I do plan on investing myself further in this hobby, but slowly. I already have a small list of switches to try and kits to experiment with, and have some inkling of how I'd want to custom design a keyboard. With time.