let Url : Type =
  { display_text : Text
  , link : Text
  }

let Project : Type =
  { name : Text
  , description : Text
  , link : Url
  , languages : List Text
  }

let projects : List Project =
  [ { name = "GabrielSimmer.com"
    , description = "Overengineered personal site with on the fly page generation and tiered caching"
    , link = { display_text = "git.gmem.ca/arch/gabrielsimmer.com", link = "https://git.gmem.ca/arch/gabrielsimmer.com" }
    , languages = [ "Rust" ]
    }
  , { name = "My infrastructure"
    , description = "A mix of Terraform and Nix configurations keeping my lights on"
    , link = { display_text = "git.gmem.ca/arch/inra", link = "https://git.gmem.ca/arch/infra" }
    , languages = [ "Terraform", "Nix" ]
    }
  ,	{ name = "Minecraft Server Invites"
    , description = "Small service that generates links to Minecraft servers, whitelisting players"
    , link = { display_text = "gmem/minecraft-server-invites", link = "https://sr.ht/~gmem/minecraft-server-invites/" }
    , languages = [ "Go", "Svelte" ]
    }
  , { name = "artbybecki.com"
    , description = "A website for my significant other to showcase her art work and more."
    , link = { display_text = "artbybecki.com", link = "https://artbybecki.com" }
    , languages = [ "Svelte", "CouchDB" ]
    }
  , { name = "nvidia-driver-update-tool"
    , description = "Minimal application for checking for NVIDIA GPU driver updates."
    , link = { display_text = "gmemstr/nvidia-driver-update-tool", link = "https://github.com/gmemstr/nvidia-driver-update-tool" }
    , languages = [ "C#", ".NET" ]
    }
  , { name = "Platypus"
    , description = "Large-scale server usage monitoring leveraging websockets."
    , link = { display_text = "gmemstr/platypus", link = "https://github.com/gmemstr/platypus" }
    , languages = [ "Go" ]
    }
  , { name = "pogo"
    , description = "Self-hosted podcast content manager and RSS feed generator."
    , link = { display_text = "gmemstr/pogo", link = "https://github.com/gmemstr/pogo" }
    , languages = [ "Go" ]
    }
  , { name = "sliproad"
    , description = "Tie together file storage providers in a single unified interface and API."
    , link = { display_text = "gmemstr/sliproad", link = "https://github.com/gmemstr/sliproad" }
    , languages = [ "Go" ]
    }
  , { name = "Deploy"
    , description = "CircleCI mobile client."
    , link = { display_text = "gmemstr/deploy-app", link = "https://github.com/gmemstr/deploy-app" }
    , languages = [ "Flutter", "Dart" ]
    }
  , { name = "Database Janitor"
    , description = "Create sanitized database dumps."
    , link = { display_text = "gmemstr/database-janitor", link = "https://github.com/gmemstr/database-janitor" }
    , languages = [ "PHP" ]
    }
  , { name = "Drupal modules"
    , description = "Various Drupal modules created both for client sites and personal use."
    , link = { display_text = "/u/gmem", link = "https://www.drupal.org/u/gmem" }
    , languages = [ "PHP" ]
    }
  ]

let experiments : List Project =
  [ { name = "hue-webapp"
    , description = "Small web frontend and proxy for interacting with Hue lighting."
    , link = { display_text = "gmemstr/hue-webapp", link = "https://github.com/gmemstr/hue-webapp" }
    , languages = [ "Python" ]
    }
  , { name = "eink-dashboard"
    , description = "Lightweight eink dashboard/display using a Raspberry Pi."
    , link = { display_text = "gmemstr/eink-dashboard", link = "https://github.com/gmemstr/eink-dashboard" }
    , languages = [ "Python" ]
    }
  , { name = "dotfiles"
    , description = "Configuration files for Linux installations."
    , link = { display_text = "gmemstr/dotfiles", link = "https://github.com/gmemstr/dotfiles" }
    , languages = [ "Shell" ]
    }
  , { name = "REPLNote"
    , description = "Notepad with embeded Clojure REPL."
    , link = { display_text = "gmemstr/replnote", link = "https://github.com/gmemstr/replnote" }
    , languages = [ "Clojure" ]
    }
  , { name = "banana-clj"
    , description = "Encode your data as the word \"banana\"."
    , link = { display_text = "gmemstr/banana-clj", link = "https://github.com/gmemstr/banana-clj" }
    , languages = [ "Clojure" ]
    }
  , { name = "whalepod"
    , description = "Quicky generate Dockerfiles based on a template."
    , link = { display_text = "gmemstr/whalepod", link = "https://github.com/gmemstr/whalepod" }
    , languages = [ "Rust" ]
    }
  , { name = "gmem.ca"
    , description = "Random HTML/JS/CSS experiements using Vercel functions."
    , link = { display_text = "gmemstr/gmem.ca", link = "https://github.com/gmemstr/gmem.ca" }
    , languages = [ "HTML", "JavaScript", "CSS" ]
    }
  , { name = "circleci-api-scripts"
    , description = "Collection of scripts for interacting with the CircleCI APIs and collecting data."
    , link = { display_text = "gmemstr/circleci-api-scripts", link = "https://github.com/gmemstr/circleci-api-scripts" }
    , languages = [ "Python" ]
    }
  , { name = "no-swears"
    , description = "Small module for removing swear words from strings."
    , link = { display_text = "gmemstr/no-swears", link = "https://github.com/gmemstr/no-swears" }
    , languages = [ "JavaScript" ]
    }
  , { name = "GTFO Terminal OCR"
    , description = "Analyze terminals from the \"GTFO\" game and extract information."
    , link = { display_text = "gmemstr/gtfo-terminal-ocr", link = "https://github.com/gmemstr/gtfo-terminal-ocr" }
    , languages = [ "Python" ]
    }
  ]


in
  { projects
  , experiments
  }